Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Language IDEs » Java Development Tools (JDT) » JDT won't install on Ubuntu 9.10, Eclipse 3.5.1
JDT won't install on Ubuntu 9.10, Eclipse 3.5.1 [message #493615] Tue, 27 October 2009 05:15 Go to next message
Micah  is currently offline Micah
Messages: 6
Registered: July 2009
Junior Member
Steps I have taken:
1. Install Ubuntu Desktop 9.10 x64 onto a VM running inside Windows 7 x64.
2. Application Menu > Ubuntu Software Center > Programming > Eclipse > Install
3. Launch Eclipse (Version: 3.5.1 Build id: M20090917-0800)
4. Help > About Eclipse SDK > Installation Details
5. Notice that the following features are the only ones installed:
* * Eclipse Platform 3.5.1.R35x_v20090910
* * Eclipse Project SDK 3.5.1.R35x_v20090811
* * Eclipse RCP 3.5.1.R35x_v20090811
* * Help System Base 1.1.1.R35x_v20090811
6. Notice that the following Software is all that is installed:
* * Eclipse Platform 3.5.1
7. Help > Install New Software...
8. Notice the software site list is empty (see Ubuntu bug https://bugs.launchpad.net/ubuntu/+source/eclipse/+bug/46094 4)
9. Add a software site for http://download.eclipse.org/releases/galileo
10. Work with: Galileo - http://download.eclipse.org/releases/galileo
11. Expand Programming Languages
12. Check Eclipse Java Development Tools 3.5.1.r351v20090810-0600
13. Click Next.
14. Get the following error:
Cannot complete the install because of a conflicting dependency.
  Software being installed: Eclipse Java Development Tools 3.5.1.r351_v20090810-0600-7r88FEoFI0WTo6Az-1qFRHm37ChJ (org.eclipse.jdt.feature.group 3.5.1.r351_v20090810-0600-7r88FEoFI0WTo6Az-1qFRHm37ChJ)
  Software currently installed: Eclipse Platform 3.5.1 (Eclipse Platform 3.5.1)
  Only one of the following can be installed at once: 
    Eclipse Java Development Tools 3.5.1.r351_v20090810-0600-7r88FEoFI0WTo6Az-1qFRHm37ChJ (org.eclipse.jdt.feature.jar 3.5.1.r351_v20090810-0600-7r88FEoFI0WTo6Az-1qFRHm37ChJ)
    Eclipse Java Development Tools 3.5.1.r351_v20090810-0600-7r88FEoFHxXYpY3s0jOJPn58EpLN (org.eclipse.jdt.feature.jar 3.5.1.r351_v20090810-0600-7r88FEoFHxXYpY3s0jOJPn58EpLN)
  Cannot satisfy dependency:
    From: Eclipse Platform 3.5.1 (Eclipse Platform 3.5.1)
    To: org.eclipse.jdt.feature.jar [3.5.1.r351_v20090810-0600-7r88FEoFHxXYpY3s0jOJPn58EpLN]
  Cannot satisfy dependency:
    From: Eclipse Java Development Tools 3.5.1.r351_v20090810-0600-7r88FEoFI0WTo6Az-1qFRHm37ChJ (org.eclipse.jdt.feature.group 3.5.1.r351_v20090810-0600-7r88FEoFI0WTo6Az-1qFRHm37ChJ)
    To: org.eclipse.jdt.feature.jar [3.5.1.r351_v20090810-0600-7r88FEoFI0WTo6Az-1qFRHm37ChJ]


I full expect that I am just doing something wrong. I am aware that I could probably download the package from eclipse.org and install that instead of using the Ubuntu Software Center version (which is just the base Eclipse, without any bundled features) but I would prefer going through the Software Center if possible.
Re: JDT won't install on Ubuntu 9.10, Eclipse 3.5.1 [message #511287 is a reply to message #493615] Mon, 01 February 2010 00:57 Go to previous messageGo to next message
jester is currently offline jester
Messages: 1
Registered: February 2010
Junior Member
I was also searching for days on how to fix this, finally found it I think.

Uninstall eclipse via Ubuntu software center.

then install it by clicking the link "Install the eclipse package" on this page:
It is at the bottom of the page

https://help.ubuntu.com/9.10/programming/C/java.html

[Updated on: Mon, 01 February 2010 01:02]

Report message to a moderator

Re: JDT won't install on Ubuntu 9.10, Eclipse 3.5.1 [message #517364 is a reply to message #511287] Sat, 27 February 2010 03:58 Go to previous message
James  is currently offline James
Messages: 1
Registered: February 2010
Junior Member
I'm getting the exact same thing as the OP. I did uninstall, and reinstall from the link in the previous post and I'm still getting the same error. Any help getting this resolve would be much appreciated!
Previous Topic:Plug-in Development help
Next Topic:ajax java BluePrints
Goto Forum:
  


Current Time: Fri Aug 22 05:59:13 EDT 2014

Powered by FUDForum. Page generated in 0.16012 seconds